# std::basic_streambuf::pubseekpos, std::basic_streambuf::seekpos

From cppreference.com
< cpp‎ | io‎ | basic streambuf

pos_type pubseekpos( pos_type pos, ios_base::openmode which = ios_base::in | ios_base::out ); | (1) |
protected: virtual pos_type seekpos( pos_type pos, ios_base::openmode which = ios_base::in | ios_base::out); | (2) |

Sets the position indicator of the input and/or output sequence to an absolute position.

1) Calls `seekpos(pos, which)` of the most derived class

2) The base class version of this function has no effect. The derived classes may override this function to allow absolute positioning of the position indicator.

### Parameters

pos | - | absolute position to set the position indicator to.

which

-

defines which of the input and/or output sequences to affect. It can be one or a combination of the following constants:

Constant | Explanation
`in` | affect the input sequence
`out` | affect the output sequence

### Return value

1) The return value of `seekpos(pos, which)`

2) The resulting absolute position as defined by the position indicator. The base class version returns pos_type(off_type(-1)).

### Example

| This section is incomplete Reason: no example

### See also

pubseekoff | invokes seekoff() (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_streambuf/pubseekpos&oldid=57707"
Category:

- Todo no example